Index: resources/views/dashboard/users/index.blade.php
===================================================================
--- resources/views/dashboard/users/index.blade.php	(revision 1f7c9345a2889dcb0e676b7862c7f5e48afd23d0)
+++ resources/views/dashboard/users/index.blade.php	(revision 79aa35c83e07d4d174579e28a2b668ff26b1ae82)
@@ -45,5 +45,4 @@
                                 <th>Name</th>
                                 <th>Created by</th>
-                                <th>Created at</th>
                                 <th>Updated at</th>
                                 <th>Status</th>
@@ -81,6 +80,9 @@
                                     <div class="font-weight-light p-1">{{$user->phone_number}}</div>
                                     </td>
-                                    <td>{{ $user->getCreatedByName() }}</td>
-                                    <td>{{ date('d.m.Y - H:i', strtotime($user->created_at)) }}</td>
+                                    <td>{{ $user->getCreatedByUsername() }}
+                                        <div class="font-weight-light p-1">{{$user->getCreatedByName()}}</div>
+                                        <div class="font-weight-light p-1">{{ date('d.m.Y - H:i', strtotime($user->created_at)) }}</div>
+                                    </td>
+
                                     @if($user->updated_at==NULL)
                                         <td>/</td>
@@ -88,4 +90,5 @@
                                         <td>{{ date('d.m.Y - H:i', strtotime($user->updated_at)) }}</td>
                                     @endif
+
                                     <td>
                                         @if(Cache::has('is_online' . $user->id))
@@ -99,5 +102,5 @@
                                         @endif
                                     </td>
-                                    @if(auth()->user()->hasPermission('manage_all_users'))
+                                    @if(auth()->user()->hasPermission('manage_all_users') && auth()->user()->id != $user->id)
                                     @if($user->hasRole("Referent") || $user->hasRole("Viewer") && $user->is_confirmed)
                                         <td>
@@ -105,7 +108,17 @@
                                                 <i class="ti-pencil"></i>
                                             </a>
+                                            @if ($user->is_active)
+                                            <a href="javascript:void(0)" data-toggle="modal" data-target="#blockModal_{{$user->id}}" class="text-warning ml-2" title="Block">
+                                                <i class="ti-lock"></i>
+                                            </a>
+                                            @else
+                                                <a href="javascript:void(0)" data-toggle="modal" data-target="#unBlockModal_{{$user->id}}" class="text-warning ml-2" title="Unblock">
+                                                    <i class="ti-unlock"></i>
+                                                </a>
+                                            @endif
                                             <a href="javascript:void(0)" class="text-danger ml-2" data-toggle="modal" data-target="#deleteModal_{{$user->id}}" title="Delete">
                                                 <i class="ti-trash"></i>
                                             </a>
+
                                         </td>
                                     @else
@@ -186,5 +199,5 @@
                                                         <div class="col-md-1">
                                                             <div class="form-group">
-                                                                <label>Current</label>
+                                                                <label></label>
                                                                 <figure class="avatar avatar-sm mr-2">
                                                                     @if($user->avatar==NULL)
@@ -223,4 +236,59 @@
                                                     @method('DELETE')
                                                     <p>Are you sure you want to delete user {{$user->username}} ?</p>
+                                                    <p>Number of folders created: <a href="{{ route("dashboard.folders.index", ['id' => $user->id]) }}" class="text-linkedin">{{\App\Models\Folder::where('user_id', $user->id)->count()}}</a></p>
+                                                    <div class="modal-footer">
+                                                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close
+                                                        </button>
+                                                        <button type="submit" class="btn btn-primary">Save changes</button>
+                                                    </div>
+                                                </form>
+                                            </div>
+
+                                        </div>
+                                    </div>
+                                </div>
+
+                                <div class="modal fade" id="blockModal_{{$user->id}}" tabindex="-1" role="dialog" aria-hidden="true">
+                                    <div class="modal-dialog modal-dialog-centered" role="document">
+                                        <div class="modal-content">
+                                            <div class="modal-header">
+                                                <h5 class="modal-title" id="exampleModalCenterTitle">Block confirmation</h5>
+                                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
+                                                    <i class="ti-close"></i>
+                                                </button>
+                                            </div>
+                                            <div class="modal-body">
+                                                <form action="{{ route("dashboard.users.block", $user->id) }}" method="POST">
+                                                    @csrf
+                                                    @method('patch')
+                                                    <p>Are you sure you want to block user {{$user->username}} ?</p>
+                                                    <p>Number of folders created: <a href="{{ route("dashboard.folders.index", ['id' => $user->id]) }}" class="text-linkedin">{{\App\Models\Folder::where('user_id', $user->id)->count()}}</a></p>
+                                                    <div class="modal-footer">
+                                                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close
+                                                        </button>
+                                                        <button type="submit" class="btn btn-primary">Save changes</button>
+                                                    </div>
+                                                </form>
+                                            </div>
+
+                                        </div>
+                                    </div>
+                                </div>
+
+
+                                <div class="modal fade" id="unBlockModal_{{$user->id}}" tabindex="-1" role="dialog" aria-hidden="true">
+                                    <div class="modal-dialog modal-dialog-centered" role="document">
+                                        <div class="modal-content">
+                                            <div class="modal-header">
+                                                <h5 class="modal-title" id="exampleModalCenterTitle">Unblock confirmation</h5>
+                                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
+                                                    <i class="ti-close"></i>
+                                                </button>
+                                            </div>
+                                            <div class="modal-body">
+                                                <form action="{{ route("dashboard.users.unblock", $user->id) }}" method="POST">
+                                                    @csrf
+                                                    @method('patch')
+                                                    <p>Are you sure you want to block user {{$user->username}} ?</p>
                                                     <p>Number of folders created: <a href="{{ route("dashboard.folders.index", ['id' => $user->id]) }}" class="text-linkedin">{{\App\Models\Folder::where('user_id', $user->id)->count()}}</a></p>
                                                     <div class="modal-footer">
